# Depending on what version of Fedora we're on, use a different php binary
%if "%fedora" >= "4"
   %define php /usr/bin/php-cgi
%else
   %define php /usr/bin/php
%endif

Summary: An apache2 module for executing PHP scripts with the permissions of their owners
Name: mod_suphp
Version: 0.5.2
Release: 8%{?dist}
License: GPL
Group: System Environment/Daemons
Source0: http://www.suphp.org/download/suphp-%{version}.tar.gz
Source1: suphp.conf
URL: http://www.suphp.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: httpd >= 2.0, php
Requires: httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)
BuildRequires: httpd-devel >= 2.0

%description
suPHP is an apache module for executing PHP scripts with the permissions of
their owners. It consists of an Apache module (mod_suphp) and a setuid root
binary (suphp) that is called by the Apache module to change the uid of the
process executing the PHP interpreter.

%prep
%setup -q -n suphp-%{version}

%build
%configure \
	--with-apache-user=apache \
	--with-min-uid=500 \
	--with-min-gid=500 \
	--with-php=%{php} \
	--with-logfile=/var/log/httpd/suphp_log \
	--with-setid-mode=owner \
	--disable-checkpath

pushd src
make %{_smp_mflags} suphp
popd

pushd src/apache2
%{_sbindir}/apxs -c mod_suphp.c
mv .libs/mod_suphp.so .
popd

%install
rm -rf $RPM_BUILD_ROOT

%{__install} -c -m 4755 -D src/suphp $RPM_BUILD_ROOT%{_sbindir}/suphp
%{__install} -m 755 -D src/apache2/mod_suphp.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_suphp.so

# Install the config file
%{__install} -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/suphp.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%{_sbindir}/suphp
%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%changelog
* Tue Jul 09 2005 Andreas Thienemann <andreas@bawue.net> 0.5.2-8
- Added a dependency on a specific httpd-mmn

* Tue Jul 05 2005 Andreas Thienemann <andreas@bawue.net> 0.5.2-7
- Bumped up the releasever

* Tue Jul 05 2005 Andreas Thienemann <andreas@bawue.net> 0.5.2-6
- Added correct name to %%setup macro

* Thu Jun 30 2005 Andreas Thienemann <andreas@bawue.net> 0.5.2-5
- Rollback of namechange. Now we're mod_suphp again.

* Thu Jun 30 2005 Andreas Thienemann <andreas@bawue.net> 0.5.2-4
- Cleanup of specfile, incorporated suggestions from "spot"
- Modified configure command to use cgi-php for FC4, php otherwise

* Sat Nov 13 2004 Andreas Thienemann <andreas@bawue.net> 0.5.2-3
- Added "--disable-checkpath" in order to allow /~user URLs

* Sat Nov 13 2004 Andreas Thienemann <andreas@bawue.net> 0.5.2-2
- Fixed the wrong path in the logfile directive

* Sat Nov 13 2004 Andreas Thienemann <andreas@bawue.net> 0.5.2-1
- initial package
